Summary:	Notes plugin for the Xfce panel
Summary(pl.UTF-8):	Notatki dla panelu Xfce
Name:		xfce4-notes-plugin
Version:	1.11.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-notes-plugin/1.11/%{name}-%{version}.tar.bz2
# Source0-md5:	3750287ee726cc8a4fec815dad903786
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin
BuildRequires:	Thunar-devel >= 1.2.0
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libunique-devel
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	vala-xfce4-panel >= 4.16.0
BuildRequires:	vala-xfconf >= 4.16.0
BuildRequires:	xfce4-dev-tools >= 4.8.0
BuildRequires:	xfce4-panel-devel >= 4.8.0
BuildRequires:	xfconf-devel >= 4.8.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfce4-notes is a plugin for the Xfce panel which provides a simple
system for managing sticky notes on your desktop.

%description -l pl.UTF-8
xfce4-notes jest wtyczką dla panelu Xfce pozwalającą na umieszczanie
notatek na pulpicie.

%prep
%setup -q

#%{__rm} lib/ext-gdk.* lib/popup.* lib/theme-gtkrc.* src/xfce4-popup-notes.*

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-maintainer-mode \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hye,ie,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%{_sysconfdir}/xdg/autostart/xfce4-notes-autostart.desktop
%attr(755,root,root) %{_bindir}/xfce4-notes
%attr(755,root,root) %{_bindir}/xfce4-popup-notes
%attr(755,root,root) %{_bindir}/xfce4-notes-settings
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libnotes.so*
%dir %{_datadir}/xfce4/notes
%dir %{_datadir}/xfce4/notes/gtk-3.0
%{_datadir}/xfce4/notes/gtk-3.0/gtk.css
%{_datadir}/xfce4/panel/plugins/xfce4-notes-plugin.desktop
%{_iconsdir}/hicolor/*/apps/*.*
%{_desktopdir}/xfce4-notes.desktop
%changelog
* Sat Jan 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-notes-plugin.git;a=log;h=master

* Sat Jan 13 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> bc7bb82
- up to 1.11.0

* Sat Mar 18 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d77463b
- up to 1.10.0

* Tue Jan 19 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 48ef547
- up to 1.9.0

* Thu Dec 31 2020 Jan Rękorajski <baggins@pld-linux.org> 90788a8
- add updates from upstream git
- rel 5

* Tue Dec 29 2020 Jan Rękorajski <baggins@pld-linux.org> b08abe9
- release 4 (by relup.sh)

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 75d96ea
- release 3 (by relup.sh)

* Sun Jun 09 2019 Jan Rękorajski <baggins@pld-linux.org> 5e93b96
- release 2 (by relup.sh)

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> 53ebc04
- up to 1.8.1

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> aa15d80
- rebuild for XFCE 4.12
- release 5 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 1c52181
- x32 rebuild
- release 4 (by relup.sh)

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> a99af54
- release 3

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> 7659a7e
- rel 2
- port to libxfce4ui

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4379a03
- merged from DEVEL

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 2b4c7e2
- Requires(post,postun): gtk-update-icon-cache

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> 92399fc
- rel 3
- really fix ur_PK

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> be970bb
- rel 2
- locale fix

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> 50ab63a
- up to 1.7.2 for XFCE 4.6 (last version for 4.6)

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 71f38cd
- obsolete

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 40abd2e
- updated to 1.6.4
- removed obsolete -locale-names.patch

* Fri Dec 07 2007 Marcin Banasiak <marcin.banasiak@gmail.com> ba6f066
- new

